Shared Image Cache Server

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Data Structures | Functions
Shared Image Cache Server
Evas

Evas has an (optional) module that provides client-server infrastructure to share bitmaps across multiple processes, saving data and processing power. More...

## Data Structures
struct | _Evas_Cserve_Stats
| Statistics about the server that shares cached bitmaps. More...
struct | _Evas_Cserve_Image_Cache
| A handle of a cache of images shared by a server. More...
struct | _Evas_Cserve_Image
| A handle to an image shared by a server. More...
struct | _Evas_Cserve_Config
| Configuration that controls the server that shares cached bitmaps. More...

## Functions
EVAS_API Eina_Bool | evas_cserve_want_get (void)
| Retrieves if the system wants to share bitmaps using the server.
EVAS_API Eina_Bool | evas_cserve_connected_get (void)
| Retrieves if the system is connected to the server used to share bitmaps.
EVAS_API Eina_Bool | evas_cserve_stats_get (Evas_Cserve_Stats *stats)
| Retrieves statistics from a running bitmap sharing server.
EVAS_API Eina_Bool | evas_cserve_config_get (Evas_Cserve_Config *config)
| Retrieves the current configuration of the Evas image caching server.
EVAS_API Eina_Bool | evas_cserve_config_set (const Evas_Cserve_Config *config)
| Changes the configurations of the Evas image caching server.
EVAS_API void | evas_cserve_disconnect (void)
| Force the system to disconnect from the bitmap caching server.

## Detailed Description

Evas has an (optional) module that provides client-server infrastructure to share bitmaps across multiple processes, saving data and processing power.

Be warned that it doesn't work when threaded image preloading is enabled for Evas, though.

## Function Documentation

## ◆ evas_cserve_want_get()

EVAS_API Eina_Bool evas_cserve_want_get | ( | void |  | ) |

Retrieves if the system wants to share bitmaps using the server.

Returns
  `EINA_TRUE` if it wants, `EINA_FALSE` otherwise.

## ◆ evas_cserve_connected_get()

EVAS_API Eina_Bool evas_cserve_connected_get | ( | void |  | ) |

Retrieves if the system is connected to the server used to share bitmaps.

Returns
  `EINA_TRUE` if it's connected, `EINA_FALSE` otherwise.

## ◆ evas_cserve_stats_get()

EVAS_API Eina_Bool evas_cserve_stats_get | ( | Evas_Cserve_Stats * | stats | ) |

Retrieves statistics from a running bitmap sharing server.

Parameters

  stats | pointer to structure to fill with statistics about the bitmap cache server.

Returns
  `EINA_TRUE` if `stats` were filled with data, `EINA_FALSE` otherwise (when `stats` is untouched)

## ◆ evas_cserve_config_get()

EVAS_API Eina_Bool evas_cserve_config_get | ( | Evas_Cserve_Config * | config | ) |

Retrieves the current configuration of the Evas image caching server.

Parameters

  config | where to store current image caching server's configuration.

Returns
  `EINA_TRUE` if `config` was filled with data, `EINA_FALSE` otherwise (when `config` is untouched)

The fields of `config` will be altered to reflect the current configuration's values.

See also
  evas_cserve_config_set()

## ◆ evas_cserve_config_set()

EVAS_API Eina_Bool evas_cserve_config_set | ( | const Evas_Cserve_Config * | config | ) |

Changes the configurations of the Evas image caching server.

Parameters

  config | A bitmap cache configuration handle with fields set to desired configuration values.

Returns
  `EINA_TRUE` if `config` was successfully applied, `EINA_FALSE` otherwise.

See also
  evas_cserve_config_get()